Name: mythes-no
Version: 2.2
Release: %mkrel 5
Summary: Norwegian mythes dictionaries
Source: https://alioth.debian.org/frs/download.php/file/4168/no_NO-pack2-%{version}.zip
Group:  Text tools
URL: http://spell-norwegian.alioth.debian.org
License: GPL+
BuildArch: noarch

%description
Norwegian mythes dictionaries.

%package -n mythes-nb
Summary: Bokmaal thesaurus
Group: Text tools
Requires: mythes
Requires: locales-nb

%description -n mythes-nb
Bokmaal thesaurus.

%package -n mythes-nn
Summary: Nynorsk thesaurus 
Group: Text tools
Requires: mythes
Requires: locales-no

%description -n mythes-nn
Nynorsk thesaurus.

%prep
%setup -qc

%build
unzip -q th_nb_NO_v2.zip
unzip -q th_nn_NO_v2.zip
for i in README_th_nb_NO_v2.txt README_th_nn_NO_v2.txt; do
  if ! iconv -f utf-8 -t utf-8 -o /dev/null $i > /dev/null 2>&1; then
    iconv -f ISO-8859-1 -t UTF-8 $i > $i.new
    touch -r $i $i.new
    mv -f $i.new $i
  fi
  tr -d '\r' < $i > $i.new
  touch -r $i $i.new
  mv -f $i.new $i
done

%install
# to-do add symlink to no for the more popular language
mkdir -p %{buildroot}%{_datadir}/mythes
cp -p th_nb_NO_v2.dat th_nb_NO_v2.idx th_nn_NO_v2.dat th_nn_NO_v2.idx %{buildroot}%{_datadir}/mythes

%files -n mythes-nb
%doc README_th_nb_NO_v2.txt
%{_datadir}/mythes/th_nb_NO_v2.*

%files -n mythes-nn
%doc README_th_nb_NO_v2.txt
%{_datadir}/mythes/th_nn_NO_v2.*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 2.2-5.mga10
+ Revision: 2202592
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 2.2-4.mga9
+ Revision: 1808113
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.2-3.mga8
+ Revision: 1502253
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.2-2.mga7
+ Revision: 1280127
- Mageia 7 Mass Rebuild

* Thu Apr 12 2018 kekepower <kekepower> 2.2-1.mga7
+ Revision: 1217879
- Update to version 2.2

* Sat Feb 06 2016 umeabot <umeabot> 2.0.10-17.mga6
+ Revision: 940171
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0.10-16.mga5
+ Revision: 750412
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.10-15.mga5
+ Revision: 682750
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.0.10-14.mga4
+ Revision: 522865
- Mageia 4 Mass Rebuild

* Fri Mar 29 2013 tv <tv> 2.0.10-13.mga3
+ Revision: 406113
- requires locales-mythes-no (mga#9540)

* Sat Jan 12 2013 umeabot <umeabot> 2.0.10-12.mga3
+ Revision: 360628
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Feb 07 2012 kamil <kamil> 2.0.10-11.mga2
+ Revision: 206077
- remove hunspell-no and hyphen-no parts
- exclude mythes-no from hunspell-no

* Thu Mar 24 2011 ahmad <ahmad> 2.0.10-10.mga1
+ Revision: 77011
- fix hyphen- Group

* Sat Mar 12 2011 dmorgan <dmorgan> 2.0.10-9.mga1
+ Revision: 68989
- imported package hunspell-no


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.10-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Nov 05 2010 Caolan McNamara <caolanm@redhat.com> - 2.0.10-8
- Resolves: rhbz#648740 revert this, and silence hunspell instead

* Tue Nov 02 2010 Caolan McNamara <caolanm@redhat.com> - 2.0.10-7
- Resolves: rhbz#648740 thousands of trailing empty rules spew

* Sun Apr 04 2010 Caolan McNamara <caolanm@redhat.com> - 2.0.10-6
- mythes now owns /usr/share/mythes

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.10-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jul 11 2009 Caolan McNamara <caolanm@redhat.com> - 2.0.10-4
- tidy spec

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Nov 27 2008 Caolan McNamara <caolanm@redhat.com> - 2.0.10-2
- silly require

* Thu Nov 20 2008 Caolan McNamara <caolanm@redhat.com> - 2.0.10-1
- initial version
